curl --request POST \
--url https://api.example.com/api/v1/burn-in/report-runs/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"devices": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"filters": {
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"test_slugs": [
"<string>"
],
"result_filter": "all"
},
"generate_logs": false,
"sections": [
"inventory",
"enrollment",
"health",
"burn_in"
],
"max_attempts_override": 5
}
'import requests
url = "https://api.example.com/api/v1/burn-in/report-runs/"
payload = {
"devices": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"filters": {
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"test_slugs": ["<string>"],
"result_filter": "all"
},
"generate_logs": False,
"sections": ["inventory", "enrollment", "health", "burn_in"],
"max_attempts_override": 5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
devices: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
filters: {
start_date: '2023-11-07T05:31:56Z',
end_date: '2023-11-07T05:31:56Z',
test_slugs: ['<string>'],
result_filter: 'all'
},
generate_logs: false,
sections: ['inventory', 'enrollment', 'health', 'burn_in'],
max_attempts_override: 5
})
};
fetch('https://api.example.com/api/v1/burn-in/report-runs/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/burn-in/report-runs/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'devices' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'filters' => [
'start_date' => '2023-11-07T05:31:56Z',
'end_date' => '2023-11-07T05:31:56Z',
'test_slugs' => [
'<string>'
],
'result_filter' => 'all'
],
'generate_logs' => false,
'sections' => [
'inventory',
'enrollment',
'health',
'burn_in'
],
'max_attempts_override' => 5
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/burn-in/report-runs/"
payload := strings.NewReader("{\n \"devices\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"filters\": {\n \"start_date\": \"2023-11-07T05:31:56Z\",\n \"end_date\": \"2023-11-07T05:31:56Z\",\n \"test_slugs\": [\n \"<string>\"\n ],\n \"result_filter\": \"all\"\n },\n \"generate_logs\": false,\n \"sections\": [\n \"inventory\",\n \"enrollment\",\n \"health\",\n \"burn_in\"\n ],\n \"max_attempts_override\": 5\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/burn-in/report-runs/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"devices\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"filters\": {\n \"start_date\": \"2023-11-07T05:31:56Z\",\n \"end_date\": \"2023-11-07T05:31:56Z\",\n \"test_slugs\": [\n \"<string>\"\n ],\n \"result_filter\": \"all\"\n },\n \"generate_logs\": false,\n \"sections\": [\n \"inventory\",\n \"enrollment\",\n \"health\",\n \"burn_in\"\n ],\n \"max_attempts_override\": 5\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/burn-in/report-runs/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"devices\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"filters\": {\n \"start_date\": \"2023-11-07T05:31:56Z\",\n \"end_date\": \"2023-11-07T05:31:56Z\",\n \"test_slugs\": [\n \"<string>\"\n ],\n \"result_filter\": \"all\"\n },\n \"generate_logs\": false,\n \"sections\": [\n \"inventory\",\n \"enrollment\",\n \"health\",\n \"burn_in\"\n ],\n \"max_attempts_override\": 5\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"site_slug": "<string>",
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"test_selection_scope": "all",
"filters": {
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"test_slugs": [
"<string>"
],
"result_filter": "all"
},
"sections": [
"inventory"
],
"cohort_hostlist": "<string>",
"cohort_size": 123,
"download_status": "pending",
"generate_logs": true,
"report_status": "pending",
"logs_status": "pending",
"name": "<string>",
"status": "pending",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}Create report run
Report-run endpoints backed by report-generation jobs.
curl --request POST \
--url https://api.example.com/api/v1/burn-in/report-runs/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"devices": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"filters": {
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"test_slugs": [
"<string>"
],
"result_filter": "all"
},
"generate_logs": false,
"sections": [
"inventory",
"enrollment",
"health",
"burn_in"
],
"max_attempts_override": 5
}
'import requests
url = "https://api.example.com/api/v1/burn-in/report-runs/"
payload = {
"devices": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"filters": {
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"test_slugs": ["<string>"],
"result_filter": "all"
},
"generate_logs": False,
"sections": ["inventory", "enrollment", "health", "burn_in"],
"max_attempts_override": 5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
devices: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
filters: {
start_date: '2023-11-07T05:31:56Z',
end_date: '2023-11-07T05:31:56Z',
test_slugs: ['<string>'],
result_filter: 'all'
},
generate_logs: false,
sections: ['inventory', 'enrollment', 'health', 'burn_in'],
max_attempts_override: 5
})
};
fetch('https://api.example.com/api/v1/burn-in/report-runs/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/burn-in/report-runs/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'devices' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'filters' => [
'start_date' => '2023-11-07T05:31:56Z',
'end_date' => '2023-11-07T05:31:56Z',
'test_slugs' => [
'<string>'
],
'result_filter' => 'all'
],
'generate_logs' => false,
'sections' => [
'inventory',
'enrollment',
'health',
'burn_in'
],
'max_attempts_override' => 5
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/burn-in/report-runs/"
payload := strings.NewReader("{\n \"devices\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"filters\": {\n \"start_date\": \"2023-11-07T05:31:56Z\",\n \"end_date\": \"2023-11-07T05:31:56Z\",\n \"test_slugs\": [\n \"<string>\"\n ],\n \"result_filter\": \"all\"\n },\n \"generate_logs\": false,\n \"sections\": [\n \"inventory\",\n \"enrollment\",\n \"health\",\n \"burn_in\"\n ],\n \"max_attempts_override\": 5\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/burn-in/report-runs/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"devices\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"filters\": {\n \"start_date\": \"2023-11-07T05:31:56Z\",\n \"end_date\": \"2023-11-07T05:31:56Z\",\n \"test_slugs\": [\n \"<string>\"\n ],\n \"result_filter\": \"all\"\n },\n \"generate_logs\": false,\n \"sections\": [\n \"inventory\",\n \"enrollment\",\n \"health\",\n \"burn_in\"\n ],\n \"max_attempts_override\": 5\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/burn-in/report-runs/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"devices\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"filters\": {\n \"start_date\": \"2023-11-07T05:31:56Z\",\n \"end_date\": \"2023-11-07T05:31:56Z\",\n \"test_slugs\": [\n \"<string>\"\n ],\n \"result_filter\": \"all\"\n },\n \"generate_logs\": false,\n \"sections\": [\n \"inventory\",\n \"enrollment\",\n \"health\",\n \"burn_in\"\n ],\n \"max_attempts_override\": 5\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"site_slug": "<string>",
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"test_selection_scope": "all",
"filters": {
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"test_slugs": [
"<string>"
],
"result_filter": "all"
},
"sections": [
"inventory"
],
"cohort_hostlist": "<string>",
"cohort_size": 123,
"download_status": "pending",
"generate_logs": true,
"report_status": "pending",
"logs_status": "pending",
"name": "<string>",
"status": "pending",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
Create serializer for report-run creation.
Create-only filters serializer.
Date bounds are optional here; ReportRunCreateSerializer.validate enforces
that they are present when the BURN_IN section is selected.
Show child attributes
Show child attributes
Report sections to include. Defaults to all sections. Date range is required when burn_in is selected.
inventory, enrollment, health, burn_in Per-job override for Temporal activity retry budgets. Omit or null to use configured defaults; 1 fails fast. Maximum 10.
1 <= x <= 10Response
Read serializer for report-run detail.
all, custom Request/response serializer for report-run filters.
Show child attributes
Show child attributes
Report sections included in this report run.
inventory, enrollment, health, burn_in Compressed hostlist derived from the devices associated with this report run.
Number of devices associated with this report run after validation.
Availability status for the canonical report-run download target.
pending, available, unavailable Availability status for the main report artifact.
pending, available, unavailable Availability status for logs index artifact generation.
pending, available, unavailable 50^[-a-zA-Z0-9_]+$pending- Pendingrunning- Runningcancellation_requested- Cancellation Requestedcompleted- Completedfailed- Failedpartially_failed- Partially Failedcancelled- Cancelledterminated- Terminatedsuperseded- Supersededtimed_out- Timed Out
pending, running, cancellation_requested, completed, failed, partially_failed, cancelled, terminated, superseded, timed_out